%define name	perl-Mail-QmailQueue
%define version	0.02
%define release	1mdk

Summary:	Mail-QmailQueue module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Mail-QmailQueue-0.02.tar.bz2
Url:		http://www.cpan.org
Requires:	perl >= 5.600
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mail-QmailQueue module for perl

%prep
%setup -q -n Mail-QmailQueue-%{version} 

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}

%install
rm -rf %{buildroot}

eval `perl '-V:installarchlib'`
install -d %{buildroot}/$installarchlib

%{__make} PREFIX=%{buildroot}/%{_prefix} install

install -d %{buildroot}/%{_datadir}
find %{buildroot}/%{_prefix} -type f -print | sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" | 
	grep -v "\.bs" > Mail-QmailQueue-0.02-filelist
perl -p -i -e "s/\.3/\.3\.bz2/g" Mail-QmailQueue-0.02-filelist

if [ "$(cat Mail-QmailQueue-0.02-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Mail-QmailQueue-0.02-filelist
%defattr(-,root,root)
%doc README

%changelog
* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.02-1mdk
- initial cooker contrib.
